Subject: bug#32825: 27.0.50; Deterministic window management

From: martin rudalics <[email-masked]>
Date: Sun, 04 Nov 2018 10:36:04 +0100

> So please think of any bad consequences of what we decide in (1) like
 > not using _any_ window on the selected frame because none of them fits
 > the 'min-height' constraint.  Consider a default two windows frame
 > where the size of the selected window is preserved.

We should be also able to fix Bug#10186 then.

BTW, I recently tried to write a function that can be used to return
the specifics of the window chosen by 'display-buffer'.  Discussions
of the use of such a function were frequent in the past (bug numbers
6000, 10127, 10600, 12618, 17809) but we never came to a conclusion of
whether such a thing would be really useful or can be practically
implemented at all.

Have a look at the patch I attach, it's against the release branch.

martin